import { Expression } from './types';
/**
 * Functions to to serialise an Expression to a string
 * @public
 */
export declare const Serialisers: {
    AND: (e: Expression) => string;
    OR: (e: Expression) => string;
    NOT: (e: Expression) => string;
    GT: (e: Expression) => string;
    GE: (e: Expression) => string;
    LT: (e: Expression) => string;
    LE: (e: Expression) => string;
    NE: (e: Expression) => string;
    EQ: (e: Expression) => string;
    equals: (e: Expression) => string;
    equalsIgnoreCase: (e: Expression) => string;
    contains: (e: Expression) => string;
    fieldContains: (e: Expression) => string;
    containsIgnoreCase: (e: Expression) => string;
    dateIsEqual: (e: Expression) => string;
    dateIsGreaterEqual: (e: Expression) => string;
    dateIsLessEqual: (e: Expression) => string;
};
//# sourceMappingURL=serialisers.d.ts.map