import { sync } from '@genesislcap/foundation-utils';
import { html, repeat } from '@microsoft/fast-element';
export const template = (ds = 'zero') => html `
  <${ds}-segmented-control :value="${sync((x) => x.selectedLabel)}">
    <slot name="label" slot='label'></slot>
    ${repeat((x) => x.criteriaOptions, html `
        <${ds}-segmented-item 
          @click=${(option, c) => c.parent.itemClickHandler(option.label)} 
          value=${(option) => option.label}>
          ${(option) => option.label}
        </${ds}-segmented-item>
      `)}
  </${ds}-segmented-control>
`;
